import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Motorrad extends Actor
{
    // Attribute hier:
  

    // Konstruktor hier:
    public Motorrad()
    {
    }
    // Methoden hier:
    public void act() 
    {
      // Das Motorrad faehrt die einzelnen Punkte ab.
      // Verwenden Sie dazu move(entfernung:int) und turn(winkel:int)
      
      // An den Zielpunkten angekommen verwenden Sie die Methode warten();
      
      // In der Ohrmuschel (4) hinterlassen Sie eine Note mit noteAblegen().
        
      // Zusatzaufgabe: Nachdem ein Zyklus durchlaufen wurde,
      // soll das Motorrad wieder an seine Startposition gesetzt werden
      // (+ korrekte Ausrichtung) – Verwendung der Methoden
      // setLocation, setRotation, in Welt-Klasse „Ohr“ spicken
        
        
    }    
    public void warten()
    {
        Greenfoot.delay(40);
    }
    public void noteAblegen()
    {
        Note n = new Note();
        getWorld().addObject(n, getX(), getY());
    }




}
